apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
metadata:
  name: harbor

helmCharts:
  - name: harbor
    releaseName: harbor
    namespace: workflows
    version: 1.15.0
    repo: https://helm.goharbor.io
    valuesInline:
      externalURL: https://harbor.agepoly.ch
      persistence:
        imageChartStorage:
          disableredirect: true # not supported by minio
          type: s3
          s3:
            existingSecret: harbor-secrets # keys: REGISTRY_STORAGE_S3_ACCESSKEY + REGISTRY_STORAGE_S3_SECRETKEY
            region: us-east-1 # minio default
            bucket: harbor
            regionendpoint: https://hdd-s3.minio.agepoly.ch
      jobservice:
        jobLoggers:
          - database
      harborAdminPassword: this-must-be-changed # updated in the UI at first login
      expose:
        type: clusterIP
        tls:
          enabled: false

namespace: workflows

resources:
  - httproute.yaml
  - secrets.yaml

patches: []